export declare type UserConfig = {
    functionsRelativePath: string;
    libsRelativePath: string;
    functionFileName: string;
    functionGroups: string[];
    libs: string[];
    functionGroupLibs: FunctionGroupLibs;
    outputRelativePath: string;
};
export declare type Config = UserConfig & {
    projectPath: string;
    functionsAbsolutePath: string;
    libsAbsolutePath: string;
    outputAbsolutePath: string;
};
export declare type FunctionMetadataDetail = {
    hash: string;
    zipPath: string;
};
export declare type EntityFunctionMetadata = {
    [functionName: string]: FunctionMetadataDetail;
};
export declare type FunctionMetadata = {
    [entityName: string]: EntityFunctionMetadata;
};
export declare type LibFile = Record<string, {
    hash: string;
}>;
declare type LibFiles = {
    files: LibFile;
};
export declare type LibMetadata = Record<string, LibFiles>;
export declare type FunctionGroupLibs = {
    [functionGroup: string]: string[];
};
export declare type Metadata = {
    functions: FunctionMetadata;
    libs: LibMetadata;
    functionGroupLibs: FunctionGroupLibs;
};
export declare type MetadataKey = 'functions' | 'libs' | 'functionGroupLibs';
export {};
